---
sidebar: auto
---

# Glossary

You may encounter some unfamiliar concepts in the documentation. This section lists the common terms in the documentation for easy access, learning and plugin/theme development.

## frontmatter

> Access: `$page.frontmatter`

Configuration wrapped by `---` in the `markdown` file of the current page, which is generally used to do some page-level configuration.

::: tip
Features such as VuePress's dynamic layout system are based on `frontmatter`. You can use the plugin API [extendPageData](../plugin/option-api.md#extendpagedata) to dynamically modify the value of frontmatter during build time.
:::

## permalink

> Access: `$page.frontmatter.permalink`

For permalinks, see [permalinks](../guide/permalinks.md) for more.

## regularPath

> Access: `$page.regularPath`

The current page is based on the URL generated by the directory structure.

::: tip
When dynamically generating routes during the build period, a page's URL (`$page.path`) will use `$page.frontmatter.permalink` first, and if it doesn't exist, it will be downgraded to `$page.regularPath`.
:::

## headers

> Access: `$page.headers`

That is, those titles defined by one or more `#` in `markdown`.

## siteConfig

> Access: `$site | Context.siteConfig`

`.vuepress/config.js`, i.e., `site configuration`。

## themeConfig

> Access: `$site | Context.themeConfig`

Value of `themeConfig` in `.vuepress/config.js`, i.e., `user's theme configuration`.

## themePath

> Access: `Context.themePath`

Root path (absolute path) of the currently used theme.

## themeEntryFile

> Access: `Context.themeEntryFile`

Theme's configuration file (`themePath/index.js`).

## layout

> Access: `$page.frontmatter.layout`

Name of the layout component used by the current page.
